# Command: cvs_f

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    cvs_f - Formatted conversion of double to string

Synopsis:

      x q cvs_f -> str
      x [p q] cvs_f -> str

Examples:

      2.3456 3 cvs_f -> (2.346)
      2.3456 0 cvs_f -> (2)
      2.3456 neg 2 cvs_f -> (-2.35)
      2.3456 [2 3] cvs_f -> (02.346)
      2.3456 neg [2 3] cvs_f -> (-02.346)
      222.3456 [2 3] cvs_f -> (222.346)

Description:

      x q cvs_f -> str
      converts a double (or integer) number x into a string str with a specified number q of digits after the decimal point

      x [p q] cvs_f -> str
      puts in addition p minus IntegerPart(x) zeros in front of the string (nothing happens if p is smaller than the length of x's integer part).

Author:

    Tom Tetzlaff

SeeAlso:

- cvs

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative